---
lang: en
title: 'API docs: socketio.socketioconnectioncontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioconnectioncontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoConnectionContext](./socketio.socketioconnectioncontext.md)

## SocketIoConnectionContext class

Request context for a socket.io request

**Signature:**

```typescript
export declare class SocketIoConnectionContext extends Context 
```
**Extends:** [Context](./context.context.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(socket, parent)](./socketio.socketioconnectioncontext._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `SocketIoConnectionContext` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[socket](./socketio.socketioconnectioncontext.socket.md)


</td><td>

`readonly`


</td><td>

Socket


</td><td>


</td></tr>
</tbody></table>


